Index: code/branches/cpp11_v3/src/modules/hover/FlagHUD.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/FlagHUD.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/FlagHUD.cc	(revision 11065)
@@ -48,5 +48,5 @@
         RegisterObject(FlagHUD);
 
-        this->hoverGame_ = NULL;
+        this->hoverGame_ = nullptr;
         this->panel_ = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
             .createOverlayElement("Panel", "FlagHUD_Panel_" + getUniqueNumberString()));
@@ -101,5 +101,5 @@
         else
         {
-            this->hoverGame_ = 0;
+            this->hoverGame_ = nullptr;
         }
     }
Index: code/branches/cpp11_v3/src/modules/hover/FlagHUD.h
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/FlagHUD.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/FlagHUD.h	(revision 11065)
@@ -47,6 +47,6 @@
         virtual ~FlagHUD();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
         void setFlagCount(int flagCount);
Index: code/branches/cpp11_v3/src/modules/hover/Hover.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/Hover.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/Hover.cc	(revision 11065)
@@ -48,5 +48,5 @@
         RegisterObject(Hover);
 
-        this->origin_ = NULL;
+        this->origin_ = nullptr;
         this->numberOfFlags_ = 1;
         this->firstTick_ = true;
Index: code/branches/cpp11_v3/src/modules/hover/Hover.h
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/Hover.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/Hover.h	(revision 11065)
@@ -50,5 +50,5 @@
             Hover(Context* context);
 
-            virtual void tick(float dt);          
+            virtual void tick(float dt) override;
 
             void setOrigin(HoverOrigin* origin)
Index: code/branches/cpp11_v3/src/modules/hover/HoverFlag.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/HoverFlag.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/HoverFlag.cc	(revision 11065)
@@ -49,6 +49,6 @@
         RegisterObject(HoverFlag);
 
-        this->model_ = NULL;
-        this->cs_ = NULL;
+        this->model_ = nullptr;
+        this->cs_ = nullptr;
         this->collided_ = false;
 
Index: code/branches/cpp11_v3/src/modules/hover/HoverFlag.h
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/HoverFlag.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/HoverFlag.h	(revision 11065)
@@ -51,5 +51,5 @@
             void init(int xCoordinate, int yCoordinate, int cellSize);
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint);            
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
             inline bool getCollided() const
Index: code/branches/cpp11_v3/src/modules/hover/HoverOrigin.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/HoverOrigin.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/HoverOrigin.cc	(revision 11065)
@@ -58,5 +58,5 @@
     void HoverOrigin::checkGametype()
     {
-        if (getGametype() != NULL && this->getGametype()->isA(Class(Hover)))
+        if (getGametype() != nullptr && this->getGametype()->isA(Class(Hover)))
         {
             Hover* hoverGametype = orxonox_cast<Hover*>(this->getGametype());
Index: code/branches/cpp11_v3/src/modules/hover/HoverOrigin.h
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/HoverOrigin.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/HoverOrigin.h	(revision 11065)
@@ -108,6 +108,6 @@
         public:
             HoverOrigin(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Hover.
-            virtual ~HoverOrigin() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method to create a HoverOrigin through XML.
+            virtual ~HoverOrigin() = default;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method to create a HoverOrigin through XML.
             
             inline void setNumCells(int numCells)
Index: code/branches/cpp11_v3/src/modules/hover/HoverShip.h
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/HoverShip.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/HoverShip.h	(revision 11065)
@@ -44,5 +44,5 @@
             HoverShip(Context* context);
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /// sets this ships jumpBoost
@@ -53,19 +53,19 @@
                 { return this->jumpBoost_; }
 
-            virtual void moveFrontBack(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
 
-            virtual void moveRightLeft(const Vector2& value);
+            virtual void moveRightLeft(const Vector2& value) override;
 
-            virtual void moveUpDown(const Vector2& value);
+            virtual void moveUpDown(const Vector2& value) override;
 
-            virtual void rotateYaw(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
 
-            virtual void rotatePitch(const Vector2& value);
+            virtual void rotatePitch(const Vector2& value) override;
 
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateRoll(const Vector2& value) override;
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
-            virtual void boost(bool bBoost);
+            virtual void boost(bool bBoost) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/hover/HoverWall.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/HoverWall.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/HoverWall.cc	(revision 11065)
@@ -46,6 +46,6 @@
         RegisterObject(HoverWall);
 
-        this->model_ = NULL;
-        this->cs_ = NULL;
+        this->model_ = nullptr;
+        this->cs_ = nullptr;
 
         this->enableCollisionCallback();
Index: code/branches/cpp11_v3/src/modules/hover/TimeHUD.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/TimeHUD.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/TimeHUD.cc	(revision 11065)
@@ -47,5 +47,5 @@
         this->time_ = 0.0f;
         this->running_ = false;
-        this->hoverGame_ = 0;
+        this->hoverGame_ = nullptr;
         setRunning(true);
     }
@@ -98,5 +98,5 @@
         else
         {
-            this->hoverGame_ = 0;
+            this->hoverGame_ = nullptr;
         }
     }
Index: code/branches/cpp11_v3/src/modules/hover/TimeHUD.h
===================================================================
--- code/branches/cpp11_v3/src/modules/hover/TimeHUD.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/hover/TimeHUD.h	(revision 11065)
@@ -45,6 +45,6 @@
             TimeHUD(Context* context);
 
-            virtual void tick(float dt);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void changedOwner() override;
 
             /// sets if the clock is running
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyShieldBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyShieldBar.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyShieldBar.cc	(revision 11065)
@@ -41,5 +41,5 @@
 
         this->setConfigValues();
-        this->owner_ = NULL;
+        this->owner_ = nullptr;
     }
 
@@ -62,5 +62,5 @@
     void HUDEnemyShieldBar::updateTarget()
     {
-        Pawn* pawn = NULL;
+        Pawn* pawn = nullptr;
         if (this->owner_ && this->useEnemyBar_)
         {
@@ -73,9 +73,9 @@
             // Don't show the EnemyShieldBar if the pawn is invisible
             if (pawn && !pawn->isVisible())
-                pawn = NULL;
+                pawn = nullptr;
         }
         // Set the pawn as owner of the EnemyShieldBar
         this->setShieldBarOwner(pawn);
-        this->setVisible(pawn != NULL);
+        this->setVisible(pawn != nullptr);
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyShieldBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyShieldBar.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyShieldBar.h	(revision 11065)
@@ -45,7 +45,7 @@
 
             void setConfigValues();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            void changedOwner();
+            virtual void changedOwner() override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDRocketFuelBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDRocketFuelBar.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDRocketFuelBar.cc	(revision 11065)
@@ -40,5 +40,5 @@
         RegisterObject(HUDRocketFuelBar);
 
-        this->owner_ = NULL;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDRocketFuelBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDRocketFuelBar.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDRocketFuelBar.h	(revision 11065)
@@ -49,6 +49,6 @@
         virtual ~HUDRocketFuelBar();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
     private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDShieldBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDShieldBar.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDShieldBar.cc	(revision 11065)
@@ -41,5 +41,5 @@
         RegisterObject(HUDShieldBar);
 
-        this->owner_ = NULL;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDShieldBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDShieldBar.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDShieldBar.h	(revision 11065)
@@ -49,6 +49,6 @@
         virtual ~HUDShieldBar();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
         inline void setShieldBarOwner(Pawn* owner)
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.cc	(revision 11065)
@@ -76,5 +76,5 @@
         if (!weapon_)
         {
-            // TODO: destroy this HUD id the Weapon does no more exist. (Wehen the weak pointer is NULL)
+            // TODO: destroy this HUD id the Weapon does no more exist. (Wehen the weak pointer is null)
         }
     }    
@@ -114,8 +114,8 @@
         bool visible = this->isVisible();
 
-        for (std::vector<WeakPtr<HUDWeaponMode> >::iterator it = hudWeaponModes_.begin(); it != hudWeaponModes_.end(); ++it)
-        {
-            (*it)->changedVisibility(); //inform all Child Overlays that our visibility has changed
-            (*it)->setVisible(visible);
+        for (HUDWeaponMode* hudWeaponMode : hudWeaponModes_)
+        {
+            hudWeaponMode->changedVisibility(); //inform all Child Overlays that our visibility has changed
+            hudWeaponMode->setVisible(visible);
         }
     }
@@ -154,5 +154,5 @@
     void HUDWeapon::createHUDChilds()
     {
-        if (weapon_ == NULL)
+        if (weapon_ == nullptr)
         {
             return;
@@ -161,5 +161,5 @@
         int positionIndex = 0;
 
-        for (std::multimap<unsigned int, WeaponMode*>::const_iterator it = weapon_->getAllWeaponmodes().begin(); it != weapon_->getAllWeaponmodes().end(); ++it)
+        for (const auto& mapEntry : weapon_->getAllWeaponmodes())
         {
             HUDWeaponMode* hudWeaponMode = new HUDWeaponMode(this->getContext());
@@ -167,5 +167,5 @@
             hudWeaponMode->setOverlayGroup(this->getOverlayGroup());
             hudWeaponMode->setVisible(this->isVisible());
-            hudWeaponMode->setWeaponMode(it->second);
+            hudWeaponMode->setWeaponMode(mapEntry.second);
             hudWeaponMode->setWeaponIndex(this->weaponIndex_);                    
             hudWeaponMode->setAspectCorrection(false);
@@ -182,10 +182,10 @@
         int positionIndex = 0;
 
-        for (std::vector<WeakPtr<HUDWeaponMode> >::iterator it = hudWeaponModes_.begin(); it != hudWeaponModes_.end(); ++it)
-        {
-            (*it)->setPositionOffset(this->positionOffset_);
-            (*it)->setWeaponModeIndex(positionIndex);
-            (*it)->setWeaponIndex(this->weaponIndex_);
-            (*it)->setWeaponModeHUDActualSize(this->weaponModeHUDActualSize_);
+        for (HUDWeaponMode* hudWeaponMode : hudWeaponModes_)
+        {
+            hudWeaponMode->setPositionOffset(this->positionOffset_);
+            hudWeaponMode->setWeaponModeIndex(positionIndex);
+            hudWeaponMode->setWeaponIndex(this->weaponIndex_);
+            hudWeaponMode->setWeaponModeHUDActualSize(this->weaponModeHUDActualSize_);
 
             ++ positionIndex;
@@ -195,7 +195,7 @@
     void HUDWeapon::destroyHUDChilds()
     {
-        for (std::vector<WeakPtr<HUDWeaponMode> >::iterator it = hudWeaponModes_.begin(); it != hudWeaponModes_.end(); ++it)
-        {
-            (*it)->destroy();
+        for (HUDWeaponMode* hudWeaponMode : hudWeaponModes_)
+        {
+            hudWeaponMode->destroy();
         } 
 
@@ -205,5 +205,5 @@
     void HUDWeapon::updateSize()
     {
-        if (weapon_ != NULL)
+        if (weapon_ != nullptr)
         {
             this->setSize(Vector2(weaponModeHUDActualSize_.x,weaponModeHUDActualSize_.y*weapon_->getAllWeaponmodes().size()));
@@ -214,5 +214,5 @@
     void HUDWeapon::updatePosition()
     {
-        if (weapon_ != NULL)
+        if (weapon_ != nullptr)
         {
             this->setPosition(Vector2(weaponModeHUDActualSize_.x*weaponIndex_,0.0f) + this->positionOffset_);
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.h	(revision 11065)
@@ -55,12 +55,12 @@
         virtual ~HUDWeapon();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void tick(float dt);
-        virtual void changedOwner();
-        virtual void changedOverlayGroup();
-        virtual void changedVisibility();
-        virtual void changedName();
-        virtual void positionChanged();
-        virtual void sizeChanged();
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
+        virtual void changedOverlayGroup() override;
+        virtual void changedVisibility() override;
+        virtual void changedName() override;
+        virtual void positionChanged() override;
+        virtual void sizeChanged() override;
 
         void setWeapon(Weapon* weapon);
@@ -94,5 +94,5 @@
         WeakPtr<Weapon> weapon_;
 
-        std::vector<WeakPtr<HUDWeaponMode> > hudWeaponModes_;
+        std::vector<WeakPtr<HUDWeaponMode>> hudWeaponModes_;
 
         Ogre::PanelOverlayElement* overlayElement_;
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 11065)
@@ -126,5 +126,5 @@
             Munition* munition = this->weaponMode_->getMunition();
 
-            if (munition != NULL)
+            if (munition != nullptr)
             {
                 MunitionDeployment deployment = munition->getMunitionDeployment();
@@ -237,5 +237,5 @@
         Munition* munition = this->weaponMode_->getMunition();
 
-        if (munition != NULL)
+        if (munition != nullptr)
         {
             MunitionDeployment deployment = munition->getMunitionDeployment();
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h	(revision 11065)
@@ -57,11 +57,11 @@
         virtual ~HUDWeaponMode();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
-        virtual void changedOverlayGroup();
-        virtual void changedVisibility();
-        virtual void changedName();
-        virtual void positionChanged();
-        virtual void sizeChanged();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
+        virtual void changedOverlayGroup() override;
+        virtual void changedVisibility() override;
+        virtual void changedName() override;
+        virtual void positionChanged() override;
+        virtual void sizeChanged() override;
 
         void setWeaponMode(WeaponMode* weaponMode);
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.cc	(revision 11065)
@@ -103,8 +103,8 @@
         bool visible = this->isVisible();
 
-        for (std::vector<WeakPtr<HUDWeapon> >::iterator it = hudWeapons_.begin(); it != hudWeapons_.end(); ++it)
+        for (HUDWeapon* hudWeapon : hudWeapons_)
         {
-            (*it)->changedVisibility(); //inform all Child Overlays that our visibility has changed
-            (*it)->setVisible(visible);
+            hudWeapon->changedVisibility(); //inform all Child Overlays that our visibility has changed
+            hudWeapon->setVisible(visible);
         }
     }
@@ -129,12 +129,10 @@
         {
             const std::vector<WeaponPack*>& weaponPacks = owner_->getWeaponSystem()->getAllWeaponPacks();
-
-            for (std::vector<WeaponPack*>::const_iterator itPacks = weaponPacks.begin(); itPacks != weaponPacks.end(); ++itPacks)
+            for (WeaponPack* weaponPack : weaponPacks)
             {
-                const std::vector<Weapon*>& weapons = (*itPacks)->getAllWeapons();
-
-                for (std::vector<Weapon*>::const_iterator itWeapons = weapons.begin(); itWeapons != weapons.end(); ++itWeapons)
+                const std::vector<Weapon*>& weapons = weaponPack->getAllWeapons();
+                for (Weapon* weapon : weapons)
                 {
-                    this->weapons_.push_back(*itWeapons);
+                    this->weapons_.push_back(weapon);
                 }
             }
@@ -149,5 +147,5 @@
         int positionIndex = 0;
 
-        for (std::vector<WeakPtr<Weapon> >::iterator it = weapons_.begin(); it != weapons_.end(); ++it)
+        for (Weapon* weapon : weapons_)
         {
             HUDWeapon* hudWeapon = new HUDWeapon(this->getContext());
@@ -155,5 +153,5 @@
             hudWeapon->setOverlayGroup(this->getOverlayGroup());
             hudWeapon->setVisible(this->isVisible());
-            hudWeapon->setWeapon(*it);
+            hudWeapon->setWeapon(weapon);
             hudWeapon->setAspectCorrection(false);
             hudWeapon->setPickPoint(Vector2(0.0f,0.0f));
@@ -170,9 +168,9 @@
         Vector2 offset = this->getPosition();
 
-        for (std::vector<WeakPtr<HUDWeapon> >::iterator it = hudWeapons_.begin(); it != hudWeapons_.end(); ++it)
+        for (HUDWeapon* hudWeapon : hudWeapons_)
         {
-            (*it)->setPositionOffset(offset);
-            (*it)->setWeaponIndex(positionIndex);
-            (*it)->setWeaponModeHUDActualSize(this->weaponModeHUDActualSize_);
+            hudWeapon->setPositionOffset(offset);
+            hudWeapon->setWeaponIndex(positionIndex);
+            hudWeapon->setWeaponModeHUDActualSize(this->weaponModeHUDActualSize_);
 
             ++ positionIndex;
@@ -182,7 +180,7 @@
     void HUDWeaponSystem::destroyHUDChilds()
     {
-        for (std::vector<WeakPtr<HUDWeapon> >::iterator it = hudWeapons_.begin(); it != hudWeapons_.end(); ++it)
+        for (HUDWeapon* hudWeapon : hudWeapons_)
         {
-            (*it)->destroy();
+            hudWeapon->destroy();
         } 
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.h	(revision 11065)
@@ -49,11 +49,11 @@
         virtual ~HUDWeaponSystem();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void changedOwner();
-        virtual void changedOverlayGroup();
-        virtual void changedVisibility();
-        virtual void changedName();
-        virtual void positionChanged();
-        virtual void sizeChanged();
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        virtual void changedOwner() override;
+        virtual void changedOverlayGroup() override;
+        virtual void changedVisibility() override;
+        virtual void changedName() override;
+        virtual void positionChanged() override;
+        virtual void sizeChanged() override;
     protected:
         inline void setWeaponModeHUDSize(Vector2 vector)
@@ -71,6 +71,6 @@
         WeakPtr<Pawn> owner_;
 
-        std::vector<WeakPtr<Weapon> > weapons_;
-        std::vector<WeakPtr<HUDWeapon> > hudWeapons_;
+        std::vector<WeakPtr<Weapon>> weapons_;
+        std::vector<WeakPtr<HUDWeapon>> hudWeapons_;
 
         Vector2 weaponModeHUDSize_;
Index: code/branches/cpp11_v3/src/modules/pickup/items/BoostPickup.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/pickup/items/BoostPickup.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/pickup/items/BoostPickup.cc	(revision 11065)
@@ -106,5 +106,5 @@
 
         SpaceShip* ship = this->carrierToSpaceShipHelper();
-        if(ship == NULL) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
+        if(ship == nullptr) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
             this->Pickupable::destroy();
 
@@ -128,5 +128,5 @@
         Helper to transform the PickupCarrier to a SpaceShip, and throw an error message if the conversion fails.
     @return
-        A pointer to the SpaceShip, or NULL if the conversion failed.
+        A pointer to the SpaceShip, or nullptr if the conversion failed.
     */
     SpaceShip* BoostPickup::carrierToSpaceShipHelper(void)
@@ -135,5 +135,5 @@
         SpaceShip* ship = orxonox_cast<SpaceShip*>(carrier);
 
-        if(ship == NULL)
+        if(ship == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in BoostPickup." << endl;
Index: code/branches/cpp11_v3/src/modules/pickup/items/BoostPickup.h
===================================================================
--- code/branches/cpp11_v3/src/modules/pickup/items/BoostPickup.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/pickup/items/BoostPickup.h	(revision 11065)
@@ -52,7 +52,7 @@
             virtual ~BoostPickup(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode); //!< Method for creating a BoostPickup object through XML.
+            virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode) override; //!< Method for creating a BoostPickup object through XML.
 
-            virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
+            virtual void changedUsed(void) override; //!< Is called when the pickup has transited from used to unused or the other way around.
             inline float getBoostRefill()
                 { return this->boostRefill_; }
Index: code/branches/cpp11_v3/src/modules/pickup/items/MunitionContainer.h
===================================================================
--- code/branches/cpp11_v3/src/modules/pickup/items/MunitionContainer.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/pickup/items/MunitionContainer.h	(revision 11065)
@@ -53,5 +53,5 @@
             virtual ~MunitionContainer();
 
-            virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode) override;
 
             inline const std::string& getMunitionName() const
Index: code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.cc	(revision 11065)
@@ -86,5 +86,5 @@
     void MunitionPickup::addMunitionContainer(MunitionContainer* munitionContainer)
     {
-        OrxAssert(munitionContainer != NULL, "The munitionContainer cannot be NULL.");
+        OrxAssert(munitionContainer != nullptr, "The munitionContainer cannot be nullptr.");
         this->munitionContainers_.push_back(munitionContainer);
     }
@@ -93,5 +93,5 @@
     {
         if(this->munitionContainers_.size() >= index)
-            return NULL;
+            return nullptr;
         else
             return this->munitionContainers_[index];
@@ -108,5 +108,5 @@
         Pawn* pawn = this->carrierToPawnHelper();
 
-        if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+        if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
             this->Pickupable::destroy();
 
@@ -114,16 +114,16 @@
         if(this->isUsed())
         {
-            for(std::vector<MunitionContainer*>::iterator it = this->munitionContainers_.begin(); it != this->munitionContainers_.end(); ++it)
+            for(MunitionContainer* container : this->munitionContainers_)
             {
                 //Get pointer to the appropriate munition
-                SubclassIdentifier<Munition> identifier = (*it)->getMunitionType();
+                SubclassIdentifier<Munition> identifier = container->getMunitionType();
                 Munition* munition = pawn->getMunition(&identifier);
                 if (munition)
                 {
                     // Add munition and magzines
-                    munition->addMunition((*it)->getMunitionAmount());
-                    munition->addMagazines((*it)->getMagazinesAmount());
+                    munition->addMunition(container->getMunitionAmount());
+                    munition->addMagazines(container->getMagazinesAmount());
                 }
-                (*it)->destroy();
+                container->destroy();
             }
             // This will destroy the pickp
@@ -140,5 +140,5 @@
         Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-        A pointer to the Pawn, or NULL if the conversion failed.
+        A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* MunitionPickup::carrierToPawnHelper(void)
@@ -147,5 +147,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in MunitionPickup." << endl;
Index: code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.h
===================================================================
--- code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.h	(revision 11065)
@@ -59,7 +59,7 @@
             virtual ~MunitionPickup(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode); //!< Method for creating a MunitionPickup object through XML.
+            virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode) override; //!< Method for creating a MunitionPickup object through XML.
 
-            virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
+            virtual void changedUsed(void) override; //!< Is called when the pickup has transited from used to unused or the other way around.
 
             void addMunitionContainer(MunitionContainer* munitionContainer);
Index: code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.cc	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.cc	(revision 11065)
@@ -112,5 +112,5 @@
         modelRing4_->yaw(Degree(270));
 
-        emitter_ = NULL;
+        emitter_ = nullptr;
 
         if (GameMode::isMaster())
@@ -217,10 +217,10 @@
             {
                 // Damage all pawns within the damage radius
-                for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>().begin(); it; ++it)
+                for (Pawn* pawn : ObjectList<Pawn>())
                 {
-                    Vector3 distanceVector = it->getWorldPosition()-this->getWorldPosition();
+                    Vector3 distanceVector = pawn->getWorldPosition()-this->getWorldPosition();
                     if(distanceVector.length()< damageRadius_)
                     {
-                        it->hit(this->getShooter(), it->getWorldPosition(), NULL, this->getDamage(), this->getHealthDamage(), this->getShieldDamage());
+                        pawn->hit(this->getShooter(), pawn->getWorldPosition(), nullptr, this->getDamage(), this->getHealthDamage(), this->getShieldDamage());
                     }
                 }
Index: code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.h	(revision 11065)
@@ -57,5 +57,5 @@
             virtual ~MineProjectile();
 
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setMaxTimeUntilExplosion(float maxTimeUntilExplosion);
Index: code/branches/cpp11_v3/src/modules/weapons/weaponmodes/MineGun.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/weaponmodes/MineGun.h	(revision 11064)
+++ code/branches/cpp11_v3/src/modules/weapons/weaponmodes/MineGun.h	(revision 11065)
@@ -59,6 +59,6 @@
             virtual ~MineGun();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void fire();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void fire() override;
 
             inline float getMaxTimeUntilExplosion() const