Index: /code/branches/cpp11_v3/src/libraries/core/class/Identifier.h
===================================================================
--- /code/branches/cpp11_v3/src/libraries/core/class/Identifier.h	(revision 11069)
+++ /code/branches/cpp11_v3/src/libraries/core/class/Identifier.h	(revision 11070)
@@ -204,15 +204,7 @@
             /// Returns the map that stores all XMLPort params.
             inline const std::map<std::string, XMLPortParamContainer*>& getXMLPortParamMap() const { return this->xmlportParamContainers_; }
-            /// Returns a const_iterator to the beginning of the map that stores all XMLPort params.
-            inline std::map<std::string, XMLPortParamContainer*>::const_iterator getXMLPortParamMapBegin() const { return this->xmlportParamContainers_.begin(); }
-            /// Returns a const_iterator to the end of the map that stores all XMLPort params.
-            inline std::map<std::string, XMLPortParamContainer*>::const_iterator getXMLPortParamMapEnd() const { return this->xmlportParamContainers_.end(); }
 
             /// Returns the map that stores all XMLPort objects.
             inline const std::map<std::string, XMLPortObjectContainer*>& getXMLPortObjectMap() const { return this->xmlportObjectContainers_; }
-            /// Returns a const_iterator to the beginning of the map that stores all XMLPort objects.
-            inline std::map<std::string, XMLPortObjectContainer*>::const_iterator getXMLPortObjectMapBegin() const { return this->xmlportObjectContainers_.begin(); }
-            /// Returns a const_iterator to the end of the map that stores all XMLPort objects.
-            inline std::map<std::string, XMLPortObjectContainer*>::const_iterator getXMLPortObjectMapEnd() const { return this->xmlportObjectContainers_.end(); }
 
             void addXMLPortParamContainer(const std::string& paramname, XMLPortParamContainer* container);
Index: /code/branches/cpp11_v3/src/libraries/core/config/ConfigFile.cc
===================================================================
--- /code/branches/cpp11_v3/src/libraries/core/config/ConfigFile.cc	(revision 11069)
+++ /code/branches/cpp11_v3/src/libraries/core/config/ConfigFile.cc	(revision 11070)
@@ -238,6 +238,6 @@
             file << section->getFileEntry() << endl;
 
-            for (std::list<ConfigFileEntry*>::const_iterator it_entries = section->getEntriesBegin(); it_entries != section->getEntriesEnd(); ++it_entries)
-                file << (*it_entries)->getFileEntry() << endl;
+            for (ConfigFileEntry* entry : section->getEntries())
+                file << entry->getFileEntry() << endl;
 
             file << endl;
Index: /code/branches/cpp11_v3/src/libraries/core/config/ConfigFileSection.h
===================================================================
--- /code/branches/cpp11_v3/src/libraries/core/config/ConfigFileSection.h	(revision 11069)
+++ /code/branches/cpp11_v3/src/libraries/core/config/ConfigFileSection.h	(revision 11070)
@@ -161,10 +161,6 @@
             std::list<ConfigFileEntry*>& getEntries()
                 { return this->entries_; }
-            /// Returns the begin-iterator of the list of entries in this section.
-            std::list<ConfigFileEntry*>::const_iterator getEntriesBegin() const
-                { return this->entries_.begin(); }
-            /// Returns the end-iterator of the list of entries in this section.
-            std::list<ConfigFileEntry*>::const_iterator getEntriesEnd() const
-                { return this->entries_.end(); }
+            const std::list<ConfigFileEntry*>& getEntries() const
+                { return this->entries_; }
 
             std::list<ConfigFileEntry*>::iterator getOrCreateEntryIterator(const std::string& name, const std::string& fallback, bool bString);
Index: /code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.cc	(revision 11069)
+++ /code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.cc	(revision 11070)
@@ -86,6 +86,6 @@
                 // We have no ship, so the effects are not attached and won't be destroyed automatically
                 for (EffectContainer* container : this->effectContainers_)
-                    for (std::vector<WorldEntity*>::const_iterator it = container->getEffectsBegin(); it != container->getEffectsBegin(); ++it)
-                        (*it)->destroy();
+                    for (WorldEntity* effect : container->getEffects())
+                        effect->destroy();
                 if (this->defEngineSndNormal_)
                     this->defEngineSndNormal_->destroy();
@@ -199,18 +199,18 @@
 
         for (EffectContainer* container : this->effectContainers_)
-            for (std::vector<WorldEntity*>::const_iterator it = container->getEffectsBegin(); it != container->getEffectsEnd(); ++it)
-                this->getShip()->attach(*it);
-    }
-
-    void MultiStateEngine::addEffectContainer(EffectContainer* effect)
-    {
-        if (effect == nullptr)
+            for (WorldEntity* effect : container->getEffects())
+                this->getShip()->attach(effect);
+    }
+
+    void MultiStateEngine::addEffectContainer(EffectContainer* container)
+    {
+        if (container == nullptr)
             return;
-        effect->setLuaState(this->lua_, 'f' + multi_cast<std::string>(this->effectContainers_.size()));
-        this->effectContainers_.push_back(effect);
+        container->setLuaState(this->lua_, 'f' + multi_cast<std::string>(this->effectContainers_.size()));
+        this->effectContainers_.push_back(container);
         if (this->getShip())
         {
-            for (std::vector<WorldEntity*>::const_iterator it = effect->getEffectsBegin(); it != effect->getEffectsBegin(); ++it)
-                this->getShip()->attach(*it);
+            for (WorldEntity* effect : container->getEffects())
+                this->getShip()->attach(effect);
         }
     }
Index: /code/branches/cpp11_v3/src/orxonox/worldentities/EffectContainer.h
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/worldentities/EffectContainer.h	(revision 11069)
+++ /code/branches/cpp11_v3/src/orxonox/worldentities/EffectContainer.h	(revision 11070)
@@ -54,8 +54,6 @@
             WorldEntity* getEffect(unsigned int index) const;
 
-            inline std::vector<WorldEntity*>::const_iterator getEffectsBegin()
-                { return this->effects_.begin(); }
-            inline std::vector<WorldEntity*>::const_iterator getEffectsEnd()
-                { return this->effects_.end(); }
+            inline const std::vector<WorldEntity*>& getEffects() const
+                { return this->effects_; }
 
             void updateCondition();