Index: code/trunk/src/orxonox/chat/ChatInputHandler.cc
===================================================================
--- code/trunk/src/orxonox/chat/ChatInputHandler.cc	(revision 11080)
+++ code/trunk/src/orxonox/chat/ChatInputHandler.cc	(revision 11083)
@@ -214,7 +214,10 @@
   {
     /* sanity checks */
-    if( !tocolor )
-      orxout(internal_warning) << "Empty ListBoxTextItem given to "
-        "ChatInputhandler::sub_setcolor()." << endl;
+    if (!tocolor)
+    {
+        orxout(internal_warning) << "Empty ListBoxTextItem given to "
+            "ChatInputhandler::sub_setcolor()." << endl;
+        return;
+    }
 
     /* "hash" the name */
Index: code/trunk/src/orxonox/controllers/ActionpointController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/ActionpointController.cc	(revision 11080)
+++ code/trunk/src/orxonox/controllers/ActionpointController.cc	(revision 11083)
@@ -74,5 +74,5 @@
     void ActionpointController::tick(float dt)
     {
-        if (!this || !this->getControllableEntity() || !this->isActive())
+        if (!this->getControllableEntity() || !this->isActive())
             return;
 
@@ -86,6 +86,4 @@
         }
 
-        if (!this || !this->getControllableEntity())
-            return;
         //fly
         if (this->bHasTargetPosition_)
@@ -98,7 +96,4 @@
         }
         
-
-        if (!this || !this->getControllableEntity())
-            return;
         //don't fire rocket each tick
         if (timeout_ <= 0)
@@ -111,6 +106,4 @@
         }
 
-        if (!this || !this->getControllableEntity())
-            return;
         //sometimes dodge, sometimes attack
         if (this->ticks_ % 80 <= 10)
@@ -123,6 +116,4 @@
         }
 
-        if (!this || !this->getControllableEntity())
-            return;
         //fire if you can
         if (this->bShooting_)
@@ -140,5 +131,5 @@
     void ActionpointController::action()
     {
-        if (!this || !this->getControllableEntity() || !this->isActive())
+        if (!this->getControllableEntity() || !this->isActive())
             return;
 
@@ -152,6 +143,4 @@
             this->startAttackingEnemiesThatAreClose();
         }
-        if (!this || !this->getControllableEntity())
-            return;
 
         //No action -> pop one from stack
@@ -161,18 +150,10 @@
             if (this->parsedActionpoints_.empty() && this->loopActionpoints_.empty() && this->bDefaultFightAll_)
             {
-                if (!this || !this->getControllableEntity())
-                    return;
                 Point p = { Action::FIGHTALL, "", Vector3::ZERO, false };
                 this->parsedActionpoints_.push_back (p);
             }
-            if (!this || !this->getControllableEntity())
-                return;
             this->executeActionpoint();
-            if (!this || !this->getControllableEntity())
-                return;
             this->bTakenOver_ = false;
         }
-        if (!this || !this->getControllableEntity())
-            return;
 
         //Action fightall -> fight till nobody alive
@@ -185,15 +166,9 @@
                 if (newTarget)
                 {
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->setAction (Action::FIGHTALL, newTarget);
                 }
                 else
                 {
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->nextActionpoint();
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->executeActionpoint();
     
@@ -207,21 +182,13 @@
             {
                 //----find a target----
-                ControllableEntity* newTarget = this->closestTarget();  
-                if (!this || !this->getControllableEntity())
-                    return;  
+                ControllableEntity* newTarget = this->closestTarget();
                 if (newTarget && 
                         CommonController::distance (this->getControllableEntity(), newTarget) < this->attackRange_)
                 {
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->setAction (Action::FIGHT, newTarget);
                 }
                 else
                 {
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->nextActionpoint();
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->executeActionpoint();
                 }
@@ -235,20 +202,12 @@
                 {
                     ControllableEntity* newTarget = this->closestTarget();
-                    if (!this || !this->getControllableEntity())
-                        return;
                     if (newTarget && 
                         CommonController::distance (this->getControllableEntity(), newTarget) < this->attackRange_)
                     {
-                        if (!this || !this->getControllableEntity())
-                            return;
                         this->setAction (Action::FIGHT, newTarget);
                     }
                     else
                     {
-                        if (!this || !this->getControllableEntity())
-                            return;
                         this->nextActionpoint();
-                        if (!this || !this->getControllableEntity())
-                            return;
                         this->executeActionpoint();
                     }
@@ -260,9 +219,5 @@
             if (this->squaredDistanceToTarget() <= this->squaredaccuracy_)
             {
-                if (!this || !this->getControllableEntity())
-                    return;
                 this->nextActionpoint();   
-                if (!this || !this->getControllableEntity())
-                    return;
                 this->executeActionpoint();
             }
@@ -272,26 +227,14 @@
             if (!this->getProtect())
             {
-                if (!this || !this->getControllableEntity())
-                    return;
                 this->nextActionpoint();
-                if (!this || !this->getControllableEntity())
-                    return;
                 this->executeActionpoint(); 
             }
-            if (!this || !this->getControllableEntity())
-                return;
             this->stayNearProtect();
         }
         else if (this->action_ == Action::ATTACK)
         {   
-            if (!this || !this->getControllableEntity())
-                return;
             if (!this->hasTarget())
             {
-                if (!this || !this->getControllableEntity())
-                    return;
                 this->nextActionpoint();
-                if (!this || !this->getControllableEntity())
-                    return;
                 this->executeActionpoint();
             }
@@ -408,5 +351,5 @@
     void ActionpointController::setAction (Action action, ControllableEntity* target)
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
         this->action_ = action;
@@ -425,5 +368,5 @@
     void ActionpointController::setAction (Action action, const Vector3& target)
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
         this->action_ = action;
@@ -436,5 +379,5 @@
     void ActionpointController::setAction (Action action, const Vector3& target,  const Quaternion& orient )
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
         this->action_ = action;
@@ -454,5 +397,5 @@
     void ActionpointController::executeActionpoint()
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
 
@@ -473,7 +416,4 @@
         else
         {
-            if (!this || !this->getControllableEntity())
-                return;
-
             this->setTarget(nullptr);
             this->setTargetPosition(this->getControllableEntity()->getWorldPosition());
@@ -481,21 +421,13 @@
             return;
         }
-        if (!this || !this->getControllableEntity())
-            return;
         if (!this->bLoop_ && this->parsedActionpoints_.back().inLoop)
         {
             //MOVES all points that are in loop to a loop vector
             this->fillLoop();
-            if (!this || !this->getControllableEntity())
-                return;
             this->bLoop_ = true;
             executeActionpoint();
             return;
         }
-        if (!this || !this->getControllableEntity())
-            return;
         this->setAction (p.action);
-        if (!this || !this->getControllableEntity())
-            return;
 
         switch (this->action_)
@@ -508,6 +440,4 @@
                 for (Pawn* pawn : ObjectList<Pawn>())
                 {
-                    if (!this || !this->getControllableEntity())
-                        return;
                     if (CommonController::getName(pawn) == targetName)
                     {
@@ -520,13 +450,7 @@
             {
                 this->setTargetPosition( p.position );
-                if (!this || !this->getControllableEntity())
-                    return;
                 if (this->squaredDistanceToTarget() <= this->squaredaccuracy_)
                 {
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->nextActionpoint();
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->executeActionpoint();
                 }
@@ -535,6 +459,4 @@
             case Action::PROTECT:
             {
-                if (!this || !this->getControllableEntity())
-                    return;
 
                 std::string protectName = p.name;
@@ -582,6 +504,4 @@
                     if (CommonController::getName(pawn) == targetName)
                     {
-                        if (!this || !this->getControllableEntity())
-                            return;
                         this->setTarget (static_cast<ControllableEntity*>(pawn));
                     }
@@ -590,6 +510,4 @@
                 {
                     this->nextActionpoint();
-                    if (!this || !this->getControllableEntity())
-                        return;
                     this->executeActionpoint();
                 }
@@ -604,5 +522,5 @@
     void ActionpointController::stayNearProtect()
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
 
@@ -626,6 +544,4 @@
     void ActionpointController::nextActionpoint()
     {
-        if (!this || !this->getControllableEntity())
-            return;
         if (this->bLoop_)
         {
@@ -653,5 +569,5 @@
     void ActionpointController::moveBackToTop()
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
 
@@ -684,9 +600,7 @@
     void ActionpointController::takeActionpoints (const std::vector<Point>& vector, const std::vector<Point>& loop, bool b)
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
         this->parsedActionpoints_ = vector;
-        if (!this || !this->getControllableEntity())
-            return;
         this->loopActionpoints_ = loop;
         this->bLoop_ = b;
@@ -701,5 +615,5 @@
     Pawn* ActionpointController::closestTarget()
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return nullptr;
 
@@ -709,6 +623,4 @@
         for (Pawn* pawn : ObjectList<Pawn>())
         {
-            if (!this || !this->getControllableEntity())
-                return nullptr;
             if ( CommonController::sameTeam (this->getControllableEntity(), static_cast<ControllableEntity*>(pawn), gt) )
                 continue;
@@ -730,11 +642,9 @@
     void ActionpointController::startAttackingEnemiesThatAreClose()
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
         
         if (!this->target_ || (this->target_ && CommonController::distance (this->getControllableEntity(), this->target_) > this->attackRange_))
         {
-            if (!this || !this->getControllableEntity())
-                return;
             Pawn* newTarget = this->closestTarget();
             if ( newTarget && 
@@ -742,6 +652,4 @@
                     <= this->attackRange_ )
             {
-                if (!this || !this->getControllableEntity())
-                    return;
                 this->setTarget(newTarget);
                 if (this->bLoop_ && !this->bPatrolling_)
Index: code/trunk/src/orxonox/controllers/DivisionController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/DivisionController.cc	(revision 11080)
+++ code/trunk/src/orxonox/controllers/DivisionController.cc	(revision 11083)
@@ -57,10 +57,8 @@
     void DivisionController::action()
     {   
-        if (!this || !this->getControllableEntity() || !this->isActive())
+        if (!this->getControllableEntity() || !this->isActive())
             return;
         
         ActionpointController::action();
-        if (!this || !this->getControllableEntity())
-            return;
         if (!(this->parsedActionpoints_.empty() && this->loopActionpoints_.empty()))
         {
Index: code/trunk/src/orxonox/controllers/FightingController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/FightingController.cc	(revision 11080)
+++ code/trunk/src/orxonox/controllers/FightingController.cc	(revision 11083)
@@ -58,5 +58,5 @@
     void FightingController::lookAtTarget(float dt)
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return;
         ControllableEntity* entity = this->getControllableEntity();
@@ -124,7 +124,4 @@
         Vector3 diffUnit = diffVector/diffLength;
 
-        if (!this || !this->getControllableEntity())
-            return;
-
         //too far? well, come closer then
         if (diffLength > this->attackRange_)
@@ -142,6 +139,4 @@
             this->bKeepFormation_ = false;
 
-            if (!this || !this->getControllableEntity())
-                return;
             if (!this->bDodge_)
             {
@@ -217,5 +212,5 @@
     float FightingController::squaredDistanceToTarget()  const
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return 0;
         if (!this->target_ || !this->getControllableEntity())
@@ -237,5 +232,5 @@
     Pawn* FightingController::closestTarget() const
     {
-        if (!this || !this->getControllableEntity())
+        if (!this->getControllableEntity())
             return nullptr;
 
Index: code/trunk/src/orxonox/controllers/ScriptController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/ScriptController.cc	(revision 11080)
+++ code/trunk/src/orxonox/controllers/ScriptController.cc	(revision 11083)
@@ -227,18 +227,18 @@
           { 
             // Specify the axis
-            Vector3* a;
+            Vector3 a;
               switch ((int) currentEvent.d) {
                 case 3:
-                  a = new Vector3(this->currentEvent.v1.x + this->currentEvent.e*cos(2*math::pi*dl),
+                  a = Vector3(this->currentEvent.v1.x + this->currentEvent.e*cos(2*math::pi*dl),
                                   this->currentEvent.v1.y + this->currentEvent.e*sin(2*math::pi*dl),
                                   this->currentEvent.v1.z);
                 break;
                 case 2:
-                  a = new Vector3(this->currentEvent.v1.x + this->currentEvent.e*sin(2*math::pi*dl),
+                  a = Vector3(this->currentEvent.v1.x + this->currentEvent.e*sin(2*math::pi*dl),
                                   this->currentEvent.v1.y,
                                   this->currentEvent.v1.z + this->currentEvent.e*cos(2*math::pi*dl));
                 break;
                 case 1:
-                  a = new Vector3(this->currentEvent.v1.x,
+                  a = Vector3(this->currentEvent.v1.x,
                                   this->currentEvent.v1.y + this->currentEvent.e*sin(2*math::pi*dl),
                                   this->currentEvent.v1.z + this->currentEvent.e*cos(2*math::pi*dl));
@@ -246,5 +246,5 @@
               }
 
-            this->entity_->setPosition(*a);
+            this->entity_->setPosition(a);
 
             /* Look at the specified position */
Index: code/trunk/src/orxonox/controllers/SectionController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/SectionController.cc	(revision 11080)
+++ code/trunk/src/orxonox/controllers/SectionController.cc	(revision 11083)
@@ -59,5 +59,5 @@
     void SectionController::action()
     {
-        if (!this || !this->getControllableEntity() || !this->isActive())
+        if (!this->getControllableEntity() || !this->isActive())
             return;
 
@@ -66,6 +66,4 @@
         {
             ActionpointController* newDivisionLeader = findNewDivisionLeader();
-            if (!this || !this->getControllableEntity())
-                return;
 
             this->myDivisionLeader_ = newDivisionLeader;
@@ -78,6 +76,4 @@
         {
             ActionpointController::action();
-            if (!this || !this->getControllableEntity())
-                return;
             if (!(this->parsedActionpoints_.empty() && this->loopActionpoints_.empty()))
             {
@@ -98,6 +94,4 @@
             else if (!this->myDivisionLeader_->bKeepFormation_)
             {
-                if (!this || !this->getControllableEntity())
-                    return;
 
                 if (!this->hasTarget())
@@ -121,5 +115,5 @@
         if (action == Action::FIGHT || action == Action::FIGHTALL || action == Action::ATTACK)
         {
-            Pawn* target;
+            Pawn* target = nullptr;
             //----if he has a target----
             if (this->myDivisionLeader_->hasTarget())
Index: code/trunk/src/orxonox/controllers/WingmanController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/WingmanController.cc	(revision 11080)
+++ code/trunk/src/orxonox/controllers/WingmanController.cc	(revision 11083)
@@ -58,5 +58,5 @@
     void WingmanController::action()
     {
-        if (!this || !this->getControllableEntity() || !this->isActive())
+        if (!this->getControllableEntity() || !this->isActive())
             return;
         //----If no leader, find one----
@@ -64,6 +64,4 @@
         {
             ActionpointController* newLeader = (findNewLeader());
-            if (!this || !this->getControllableEntity())
-                return;
 
             this->myLeader_ = newLeader;
@@ -92,6 +90,4 @@
             else if (!this->myLeader_->bKeepFormation_)
             {
-                if (!this || !this->getControllableEntity())
-                    return;
 
                 if (!this->hasTarget())
Index: code/trunk/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- code/trunk/src/orxonox/gametypes/LastManStanding.cc	(revision 11080)
+++ code/trunk/src/orxonox/gametypes/LastManStanding.cc	(revision 11083)
@@ -88,5 +88,5 @@
                 if (it->first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                     return true;
-                const std::string& message = ""; // resets Camper-Warning-message
+                const std::string message = ""; // resets Camper-Warning-message
                 this->gtinfo_->sendFadingMessage(message,it->first->getClientID());
             }
@@ -195,5 +195,5 @@
             if (it->first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                 return;
-            const std::string& message = ""; // resets Camper-Warning-message
+            const std::string message = ""; // resets Camper-Warning-message
             this->gtinfo_->sendFadingMessage(message,it->first->getClientID());
         }
@@ -262,5 +262,5 @@
                         if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                             return;
-                        const std::string& message = ""; // resets Camper-Warning-message
+                        const std::string message = ""; // resets Camper-Warning-message
                         this->gtinfo_->sendFadingMessage(message,mapEntry.first->getClientID());
                     }
@@ -270,5 +270,5 @@
                     if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    const std::string& message = "Camper Warning! Don't forget to shoot.";
+                    const std::string message = "Camper Warning! Don't forget to shoot.";
                     this->gtinfo_->sendFadingMessage(message,mapEntry.first->getClientID());
                 }
Index: code/trunk/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- code/trunk/src/orxonox/gametypes/LastTeamStanding.cc	(revision 11080)
+++ code/trunk/src/orxonox/gametypes/LastTeamStanding.cc	(revision 11083)
@@ -136,5 +136,5 @@
                 if (it->first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                     return true;
-                const std::string& message = ""; // resets Camper-Warning-message
+                const std::string message = ""; // resets Camper-Warning-message
                 this->gtinfo_->sendFadingMessage(message,it->first->getClientID());
             }
@@ -170,5 +170,5 @@
             if (it->first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                 return;
-            const std::string& message = ""; // resets Camper-Warning-message
+            const std::string message = ""; // resets Camper-Warning-message
             this->gtinfo_->sendFadingMessage(message,it->first->getClientID());
         }
@@ -209,5 +209,5 @@
                         if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                             return;
-                        const std::string& message = ""; // resets Camper-Warning-message
+                        const std::string message = ""; // resets Camper-Warning-message
                         this->gtinfo_->sendFadingMessage(message, mapEntry.first->getClientID());
                     }
@@ -217,5 +217,5 @@
                   if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    const std::string& message = "Camper Warning! Don't forget to shoot.";
+                    const std::string message = "Camper Warning! Don't forget to shoot.";
                     this->gtinfo_->sendFadingMessage(message, mapEntry.first->getClientID());
                 }
Index: code/trunk/src/orxonox/graphics/LensFlare.cc
===================================================================
--- code/trunk/src/orxonox/graphics/LensFlare.cc	(revision 11080)
+++ code/trunk/src/orxonox/graphics/LensFlare.cc	(revision 11083)
@@ -34,11 +34,15 @@
 #include "LensFlare.h"
 
+#include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 #include "graphics/Billboard.h"
 #include "CameraManager.h"
+#include "Camera.h"
 #include "RenderQueueListener.h"
+#include "Scene.h"
 
 #include <OgreSphere.h>
 #include <OgreRenderWindow.h>
+#include <OgreCamera.h>
 
 namespace orxonox
Index: code/trunk/src/orxonox/graphics/LensFlare.h
===================================================================
--- code/trunk/src/orxonox/graphics/LensFlare.h	(revision 11080)
+++ code/trunk/src/orxonox/graphics/LensFlare.h	(revision 11083)
@@ -41,4 +41,5 @@
 #include "core/GraphicsManager.h"
 #include "util/Math.h"
+#include "tools/interfaces/Tickable.h"
 #include "worldentities/StaticEntity.h"
 #include "graphics/Billboard.h"
Index: code/trunk/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/trunk/src/orxonox/weaponsystem/Munition.cc	(revision 11080)
+++ code/trunk/src/orxonox/weaponsystem/Munition.cc	(revision 11083)
@@ -544,5 +544,5 @@
         if (bUseReloadTime && munition->reloadTime_ > 0 && munition->deployment_ != MunitionDeployment::Stack)
         {
-            const ExecutorPtr& executor = createExecutor(createFunctor(&Magazine::loaded, this));
+            const ExecutorPtr executor = createExecutor(createFunctor(&Magazine::loaded, this));
             executor->setDefaultValues(munition);
 
Index: code/trunk/src/orxonox/worldentities/StaticEntity.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/StaticEntity.cc	(revision 11080)
+++ code/trunk/src/orxonox/worldentities/StaticEntity.cc	(revision 11083)
@@ -54,6 +54,7 @@
     void StaticEntity::registerVariables()
     {
-        registerVariable(this->getPosition(),    VariableDirection::ToClient, new NetworkCallback<StaticEntity>(this, &StaticEntity::positionChanged));
-        registerVariable(this->getOrientation(), VariableDirection::ToClient, new NetworkCallback<StaticEntity>(this, &StaticEntity::orientationChanged));
+        // Ugly const casts, but are valid because position and orientation are not actually const
+        registerVariable(const_cast<Vector3&>(this->getPosition()),    VariableDirection::ToClient, new NetworkCallback<StaticEntity>(this, &StaticEntity::positionChanged));
+        registerVariable(const_cast<Quaternion&>(this->getOrientation()), VariableDirection::ToClient, new NetworkCallback<StaticEntity>(this, &StaticEntity::orientationChanged));
     }
 
Index: code/trunk/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/WorldEntity.cc	(revision 11080)
+++ code/trunk/src/orxonox/worldentities/WorldEntity.cc	(revision 11083)
@@ -190,5 +190,6 @@
         registerVariable(this->bVisible_,       VariableDirection::ToClient, new NetworkCallback<WorldEntity>(this, &WorldEntity::changedVisibility));
 
-        registerVariable(this->getScale3D(),    VariableDirection::ToClient, new NetworkCallback<WorldEntity>(this, &WorldEntity::scaleChanged));
+        // Ugly const cast, but is valid because the scale is not actually const
+        registerVariable(const_cast<Vector3&>(this->getScale3D()),    VariableDirection::ToClient, new NetworkCallback<WorldEntity>(this, &WorldEntity::scaleChanged));
 
         // Physics stuff
Index: code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.h
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 11080)
+++ code/trunk/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 11083)
@@ -46,16 +46,16 @@
             virtual ~FpsPlayer();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
             void registerVariables();
             void setConfigValues();
 
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
-            virtual void moveUpDown(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
+            virtual void moveUpDown(const Vector2& value) override;
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
 
 
@@ -65,5 +65,5 @@
                 { return this->meshSrc_; }
 
-            void boost(bool bBoost); //acctually jump
+            void boost(bool bBoost) override; //actually jump
 
             virtual void fire();
@@ -71,9 +71,9 @@
             virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
-            virtual void addedWeaponPack(WeaponPack* wPack);
+            virtual void addedWeaponPack(WeaponPack* wPack) override;
 
         protected:
-            virtual void setPlayer(PlayerInfo* player);
-            virtual void startLocalHumanControl();
+            virtual void setPlayer(PlayerInfo* player) override;
+            virtual void startLocalHumanControl() override;
             bool bInvertYAxis_;
 
@@ -89,5 +89,5 @@
 
         private:
-            virtual bool isCollisionTypeLegal(WorldEntity::CollisionType type) const;
+            virtual bool isCollisionTypeLegal(WorldEntity::CollisionType type) const override;
             float speed_;
 
Index: code/trunk/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 11080)
+++ code/trunk/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 11083)
@@ -235,6 +235,6 @@
 
         // This function call adds a lift to the ship when it is rotating to make it's movement more "realistic" and enhance the feeling.
-        if (this->getLocalVelocity().z < 0 && abs(this->getLocalVelocity().z) < stallSpeed_)
-            this->moveRightLeft(-lift_ / 5.0f * value * sqrt(abs(this->getLocalVelocity().z)));
+        if (this->getLocalVelocity().z < 0 && std::abs(this->getLocalVelocity().z) < stallSpeed_)
+            this->moveRightLeft(-lift_ / 5.0f * value * sqrt(std::abs(this->getLocalVelocity().z)));
     }
 
@@ -257,6 +257,6 @@
 
         // This function call adds a lift to the ship when it is pitching to make it's movement more "realistic" and enhance the feeling.
-        if (this->getLocalVelocity().z < 0 && abs(this->getLocalVelocity().z) < stallSpeed_)
-            this->moveUpDown(lift_ / 5.0f * pitch * sqrt(abs(this->getLocalVelocity().z)));
+        if (this->getLocalVelocity().z < 0 && std::abs(this->getLocalVelocity().z) < stallSpeed_)
+            this->moveUpDown(lift_ / 5.0f * pitch * sqrt(std::abs(this->getLocalVelocity().z)));
     }
 
@@ -505,5 +505,5 @@
             this->shakeDt_ += dt;
 
-            float frequency = this->shakeFrequency_ * (square(abs(this->getLocalVelocity().z)));
+            float frequency = this->shakeFrequency_ * (square(std::abs(this->getLocalVelocity().z)));
 
             if (this->shakeDt_ >= 1.0f/frequency)